# DataExchange
TKSTEP209
StepElement

# StepElement_HArray1OfVolumeElementPurposeMember Class Reference

`#include <StepElement_HArray1OfVolumeElementPurposeMember.hxx>`

## Public Member Functions

Standard_EXPORT | StepElement_HArray1OfVolumeElementPurposeMember (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepElement_HArray1OfVolumeElementPurposeMember (const Standard_Integer Low, const Standard_Integer Up, const Handle(StepElement_VolumeElementPurposeMember)&V)
Standard_EXPORT void | Init (const Handle(StepElement_VolumeElementPurposeMember)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepElement_VolumeElementPurposeMember)&Value)
const Handle_StepElement_VolumeElementPurposeMember & | Value (const Standard_Integer Index) const
Handle_StepElement_VolumeElementPurposeMember & | ChangeValue (const Standard_Integer Index)
const StepElement_Array1OfVolumeElementPurposeMember & | Array1 () const
StepElement_Array1OfVolumeElementPurposeMember & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepElement_Array1OfVolumeElementPurposeMember | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_HArray1OfVolumeElementPurposeMember::StepElement_HArray1OfVolumeElementPurposeMember | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepElement_HArray1OfVolumeElementPurposeMember::StepElement_HArray1OfVolumeElementPurposeMember | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(StepElement_VolumeElementPurposeMember)& | V
| ) |

## Member Function Documentation

const StepElement_Array1OfVolumeElementPurposeMember& StepElement_HArray1OfVolumeElementPurposeMember::Array1 | ( |  | ) | const

StepElement_Array1OfVolumeElementPurposeMember& StepElement_HArray1OfVolumeElementPurposeMember::ChangeArray1 | ( |  | ) |

Handle_StepElement_VolumeElementPurposeMember& StepElement_HArray1OfVolumeElementPurposeMember::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepElement_HArray1OfVolumeElementPurposeMember::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepElement_HArray1OfVolumeElementPurposeMember::Init | ( | const Handle(StepElement_VolumeElementPurposeMember)& | V | ) |

Standard_Integer StepElement_HArray1OfVolumeElementPurposeMember::Length | ( |  | ) | const

Standard_Integer StepElement_HArray1OfVolumeElementPurposeMember::Lower | ( |  | ) | const

void StepElement_HArray1OfVolumeElementPurposeMember::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepElement_VolumeElementPurposeMember)& | Value
| ) |

Standard_Integer StepElement_HArray1OfVolumeElementPurposeMember::Upper | ( |  | ) | const

const Handle_StepElement_VolumeElementPurposeMember& StepElement_HArray1OfVolumeElementPurposeMember::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepElement_Array1OfVolumeElementPurposeMember StepElement_HArray1OfVolumeElementPurposeMember::myArray `[private]`

The documentation for this class was generated from the following file:

- StepElement_HArray1OfVolumeElementPurposeMember.hxx